
Redmine - Defect #3666

Can't create new issue from email

2009-07-24 14:32 - Łukasz Mierzwa

Status: Closed Start date: 2009-07-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.8.4

Description

ubuntu 9.04 with:

redmine 0.8.4.stable.2824

ruby 1.8.7 (2008-08-11 patchlevel 72) [i486-linux]

rails 2.1.2

postgresql 8.3.7

production log:

Receiving message 1

checking plugin 'engines' for 'mail_handler_helper'

checking plugin 'actionwebservice' for 'mail_handler_helper'

checking plugin 'acts_as_activity_provider' for 'mail_handler_helper'

checking plugin 'acts_as_attachable' for 'mail_handler_helper'

checking plugin 'acts_as_customizable' for 'mail_handler_helper'

checking plugin 'acts_as_event' for 'mail_handler_helper'

checking plugin 'acts_as_list' for 'mail_handler_helper'

checking plugin 'acts_as_searchable' for 'mail_handler_helper'

checking plugin 'acts_as_tree' for 'mail_handler_helper'

checking plugin 'acts_as_versioned' for 'mail_handler_helper'

checking plugin 'acts_as_watchable' for 'mail_handler_helper'

checking plugin 'classic_pagination' for 'mail_handler_helper'

checking plugin 'coderay-0.7.6.227' for 'mail_handler_helper'

checking plugin 'embedded' for 'mail_handler_helper'

checking plugin 'ezfaq_plugin' for 'mail_handler_helper'

checking plugin 'gloc-1.1.0' for 'mail_handler_helper'

checking plugin 'gravatar' for 'mail_handler_helper'

checking plugin 'redmine_burndown' for 'mail_handler_helper'

checking plugin 'redmine_code_review' for 'mail_handler_helper'

checking plugin 'redmine_task_board' for 'mail_handler_helper'

checking plugin 'rfpdf' for 'mail_handler_helper'

checking plugin 'ruby-net-ldap-0.0.4' for 'mail_handler_helper'

loading from application: mail_handler_helper

  SQL (0.000366)   SET client_min_messages TO 'panic'

  SQL (0.000233)   SET client_min_messages TO 'notice'

  User Load (0.005363)   SELECT * FROM "users" WHERE (LOWER(mail) = E'lukasz.mierzwa@redefine.pl')

 AND (users.status = 1) LIMIT 1

  Project Load (0.001327)   SELECT * FROM "projects" WHERE ("projects"."identifier" = E'testovy') 

LIMIT 1

  Tracker Load (0.001344)   SELECT * FROM "trackers" INNER JOIN "projects_trackers" ON "trackers".

id = "projects_trackers".tracker_id WHERE ("projects_trackers".project_id = 9 ) ORDER BY trackers.

position LIMIT 1

  EnabledModule Load (0.001215)   SELECT * FROM "enabled_modules" WHERE ("enabled_modules".project

_id = 9)

  IssueStatus Load (0.000699)   SELECT * FROM "issue_statuses" WHERE ("issue_statuses"."id" = 0)

  IssueStatus Load (0.000419)   SELECT * FROM "issue_statuses" WHERE (is_default='t') LIMIT 1

  Enumeration Load (0.000780)   SELECT * FROM "enumerations" WHERE ("enumerations"."is_default" = 

't' AND "enumerations"."opt" = E'IPRI') ORDER BY position LIMIT 1

  IssueCustomField Load (0.000755)   SELECT * FROM "custom_fields" WHERE (is_for_all='t') AND ( ("

custom_fields"."type" = 'IssueCustomField' ) ) ORDER BY position
  IssueCustomField Load (0.000726)   SELECT * FROM "custom_fields" INNER JOIN "custom_fields_proje

cts" ON "custom_fields".id = "custom_fields_projects".custom_field_id WHERE ("custom_fields_projec

ts".project_id = 9 ) AND ( ("custom_fields"."type" = 'IssueCustomField' ) ) ORDER BY custom_fields

.position

  SQL (0.000203)   BEGIN

  Tracker Exists (0.000463)   SELECT "trackers".id FROM "trackers" INNER JOIN "projects_trackers" 

ON "trackers".id = "projects_trackers".tracker_id WHERE ("trackers"."id" = 2) AND ("projects_track

ers".project_id = 9 ) ORDER BY trackers.position LIMIT 1

  SQL (0.000193)   ROLLBACK

Message 1 can not be processed

 running last select on db:

redmine=# SELECT "trackers".id FROM "trackers" INNER JOIN "projects_trackers" ON "trackers".id = "

projects_trackers".tracker_id WHERE ("trackers"."id" = 2) AND ("projects_trackers".project_id = 9 

) ORDER BY trackers.position LIMIT 1;

 id

----

  2

(1 row)

History

#1 - 2009-11-28 13:17 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#2 - 2010-01-17 12:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

I don't have any clue to fix anything.

Just a few hints:

make sure the user is allowed to create an issue

make sure you don't have required custom field on the project
